<mat-card style="margin: 20px">
    <button [routerLink]="['/index']" mat-raised-button class="flex between-center">
        <i class="material-icons">arrow_back</i>
        Atras
    </button>
    <div class="flex between-center">
        <span style="font-weight: bold;font-size: 20px">Mi carrito de compras</span>
        <button (click)="procces()" mat-raised-button color="primary" style="justify-self: flex-end">
            Procesar
            <i style="color: white" class="material-icons">check</i>
        </button>
    </div>
</mat-card>
<mat-card style="margin: 20px">
    <section>
        <div style="overflow-y: auto;height: 350px;" *ngIf="dataSource?.filteredData?.length && !loading">
            <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">

                <!-- opciones Column -->
                <ng-container matColumnDef="options">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Opciones </th>
                    <td mat-cell *matCellDef="let element">
                        <button (click)="delete(element)" mat-icon-button>
                            <i style="color: rgb(252, 122, 122)" class="material-icons">delete</i>
                        </button>
                    </td>
                </ng-container>

                <!--  name Column -->
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </th>
                    <td mat-cell *matCellDef="let element">
                        <span class="bold text-movil">{{element.name}}</span>
                    </td>
                </ng-container>

                <!-- quantity Column -->
                <ng-container matColumnDef="quantity">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Cantidad </th>
                    <td mat-cell *matCellDef="let element">
                        <span class="bold text-movil">{{element.quantity}} </span>
                    </td>
                </ng-container>

                <!-- price Column -->
                <ng-container matColumnDef="price">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Precio </th>
                    <td mat-cell *matCellDef="let element">
                        <span class="bold text-movil">{{element.price}} </span>
                    </td>
                </ng-container>

                <!-- total Column -->
                <ng-container matColumnDef="total">
                    <th style="text-align: end" mat-header-cell *matHeaderCellDef mat-sort-header>
                        SubTotal
                    </th>
                    <td mat-cell style="text-align: end" *matCellDef="let element">
                        <span
                            class="bold text-movil">{{element.price.replace('$', '').replace(',', '.') * element.quantity | currency:'$'}}
                        </span>
                    </td>
                </ng-container>

                <section class="mat-header-row">
                    <tr mat-header-row *matHeaderRowDef="getDisplayedColumns((isHandset$ | async)); sticky: true"></tr>
                </section>
                <tr mat-row *matRowDef="let row; columns: getDisplayedColumns((isHandset$ | async));" class="hover-row"
                    (click)="null;$event.stopPropagation();"></tr>
            </table>
        </div>
        <section style="justify-content: flex-end; align-items: center;" class="flex">
            <h2 style="margin-right: 15px;">Total</h2>
            <span>{{getTotal()| currency:'$'}}</span>
        </section>
        <mat-paginator [pageSizeOptions]="[10,20,50]" showFirstLastButtons></mat-paginator>
    </section>
</mat-card>